diff --git a/cvpcb/class_DisplayFootprintsFrame.cpp b/cvpcb/class_DisplayFootprintsFrame.cpp
index 892f5e9..5851d7e 100644
--- a/cvpcb/class_DisplayFootprintsFrame.cpp
+++ b/cvpcb/class_DisplayFootprintsFrame.cpp
@@ -121,7 +121,7 @@ DISPLAY_FOOTPRINTS_FRAME::DISPLAY_FOOTPRINTS_FRAME( KIWAY* aKiway, CVPCB_MAINFRA
 
     if( m_drawToolBar )    // Currently, no vertical right toolbar.
         m_auimgr.AddPane( m_drawToolBar,
-                          wxAuiPaneInfo( vert ).Name( wxT( "m_drawToolBar" ) ).Right() );
+                          wxAuiPaneInfo( vert ).Name( wxT( "m_drawToolBar" ) ).Left() );
 
     m_auimgr.AddPane( m_canvas,
                       wxAuiPaneInfo().Name( wxT( "DisplayFrame" ) ).CentrePane() );
@@ -130,7 +130,7 @@ DISPLAY_FOOTPRINTS_FRAME::DISPLAY_FOOTPRINTS_FRAME( KIWAY* aKiway, CVPCB_MAINFRA
                       wxAuiPaneInfo( mesg ).Name( wxT( "MsgPanel" ) ).Bottom().Layer(10) );
 
     m_auimgr.AddPane( m_optionsToolBar,
-                      wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Left() );
+                      wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Right() );
 
     m_auimgr.Update();
 
diff --git a/eeschema/libeditframe.cpp b/eeschema/libeditframe.cpp
index e200245..db87c2d 100644
--- a/eeschema/libeditframe.cpp
+++ b/eeschema/libeditframe.cpp
@@ -277,10 +277,10 @@ LIB_EDIT_FRAME::LIB_EDIT_FRAME( KIWAY* aKiway, wxWindow* aParent ) :
                       wxAuiPaneInfo( horiz ).Name( wxT( "m_mainToolBar" ) ).Top().Row( 0 ) );
 
     m_auimgr.AddPane( m_drawToolBar,
-                      wxAuiPaneInfo( vert ).Name( wxT( "m_VToolBar" ) ).Right() );
+                      wxAuiPaneInfo( vert ).Name( wxT( "m_VToolBar" ) ).Left() );
 
     m_auimgr.AddPane( m_optionsToolBar,
-                      wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Left() );
+                      wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Right() );
 
     m_auimgr.AddPane( m_canvas,
                       wxAuiPaneInfo().Name( wxT( "DrawFrame" ) ).CentrePane() );
diff --git a/eeschema/schframe.cpp b/eeschema/schframe.cpp
index be5b110..7bfa9e4 100644
--- a/eeschema/schframe.cpp
+++ b/eeschema/schframe.cpp
@@ -412,11 +412,11 @@ SCH_EDIT_FRAME::SCH_EDIT_FRAME( KIWAY* aKiway, wxWindow* aParent ):
                           wxAuiPaneInfo( horiz ).Name( wxT( "m_mainToolBar" ) ).Top().Row( 0 ) );
 
     if( m_drawToolBar )
-        m_auimgr.AddPane( m_drawToolBar, wxAuiPaneInfo( vert ).Name( wxT( "m_drawToolBar" ) ).Right() );
+        m_auimgr.AddPane( m_drawToolBar, wxAuiPaneInfo( vert ).Name( wxT( "m_drawToolBar" ) ).Left() );
 
     if( m_optionsToolBar )
         m_auimgr.AddPane( m_optionsToolBar,
-                          wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Left() );
+                          wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Right() );
 
     if( m_canvas )
         m_auimgr.AddPane( m_canvas, wxAuiPaneInfo().Name( wxT( "DrawFrame" ) ).CentrePane() );
diff --git a/gerbview/gerbview_frame.cpp b/gerbview/gerbview_frame.cpp
index 7404f06..be204a8 100644
--- a/gerbview/gerbview_frame.cpp
+++ b/gerbview/gerbview_frame.cpp
@@ -157,14 +157,14 @@ GERBVIEW_FRAME::GERBVIEW_FRAME( KIWAY* aKiway, wxWindow* aParent ):
 
     if( m_drawToolBar )
         m_auimgr.AddPane( m_drawToolBar,
-                          wxAuiPaneInfo( vert ).Name( wxT( "m_drawToolBar" ) ).Right().Row( 1 ) );
+                          wxAuiPaneInfo( vert ).Name( wxT( "m_drawToolBar" ) ).Left().Row( 1 ) );
 
     m_auimgr.AddPane( m_LayersManager,
-                      lyrs.Name( wxT( "m_LayersManagerToolBar" ) ).Right().Layer( 0 ) );
+                      lyrs.Name( wxT( "m_LayersManagerToolBar" ) ).Left().Layer( 0 ) );
 
     if( m_optionsToolBar )
         m_auimgr.AddPane( m_optionsToolBar,
-                          wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Left() );
+                          wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Right() );
 
     if( m_canvas )
         m_auimgr.AddPane( m_canvas,
diff --git a/pagelayout_editor/pl_editor_frame.cpp b/pagelayout_editor/pl_editor_frame.cpp
index 4991b8f..0653ac6 100644
--- a/pagelayout_editor/pl_editor_frame.cpp
+++ b/pagelayout_editor/pl_editor_frame.cpp
@@ -153,17 +153,17 @@ PL_EDITOR_FRAME::PL_EDITOR_FRAME( KIWAY* aKiway, wxWindow* aParent ) :
 
     if( m_drawToolBar )
         m_auimgr.AddPane( m_drawToolBar,
-                          wxAuiPaneInfo( vert ).Name( wxT( "m_drawToolBar" ) ).Right().Row( 1 ) );
+                          wxAuiPaneInfo( vert ).Name( wxT( "m_drawToolBar" ) ).Left().Row( 1 ) );
 
     m_auimgr.AddPane( m_propertiesPagelayout,
-                      props.Name( wxT( "m_propertiesPagelayout" ) ).Right().Layer( 1 ) );
+                      props.Name( wxT( "m_propertiesPagelayout" ) ).Left().Layer( 1 ) );
 
     m_auimgr.AddPane( m_treePagelayout,
-                      tree.Name( wxT( "m_treePagelayout" ) ).Left().Layer( 0 ) );
+                      tree.Name( wxT( "m_treePagelayout" ) ).Right().Layer( 0 ) );
 
     if( m_optionsToolBar )
         m_auimgr.AddPane( m_optionsToolBar,
-                          wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Left() );
+                          wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Right() );
 
     if( m_canvas )
         m_auimgr.AddPane( m_canvas,
diff --git a/pcbnew/moduleframe.cpp b/pcbnew/moduleframe.cpp
index 99c45e2..c74edb6 100644
--- a/pcbnew/moduleframe.cpp
+++ b/pcbnew/moduleframe.cpp
@@ -309,16 +309,16 @@ FOOTPRINT_EDIT_FRAME::FOOTPRINT_EDIT_FRAME( KIWAY* aKiway, wxWindow* aParent ) :
 
     // The main right vertical toolbar
     m_auimgr.AddPane( m_drawToolBar,
-                      wxAuiPaneInfo( vert ).Name( "m_VToolBar" ).Right().Layer(1) );
+                      wxAuiPaneInfo( vert ).Name( "m_VToolBar" ).Left().Layer( 1 ) );
 
     // Add the layer manager ( most right side of pcbframe )
-    m_auimgr.AddPane( m_Layers, lyrs.Name( "m_LayersManagerToolBar" ).Right().Layer( 2 ) );
+    m_auimgr.AddPane( m_Layers, lyrs.Name( "m_LayersManagerToolBar" ).Left().Layer( 2 ) );
     // Layers manager is visible
     m_auimgr.GetPane( "m_LayersManagerToolBar" ).Show( true );
 
     // The left vertical toolbar (fast acces to display options)
     m_auimgr.AddPane( m_optionsToolBar,
-                      wxAuiPaneInfo( vert ).Name( "m_optionsToolBar" ). Left().Layer(1) );
+                      wxAuiPaneInfo( vert ).Name( "m_optionsToolBar" ). Right().Layer( 1 ) );
 
     m_auimgr.AddPane( m_canvas,
                       wxAuiPaneInfo().Name( "DrawFrame" ).CentrePane() );
diff --git a/pcbnew/pcbframe.cpp b/pcbnew/pcbframe.cpp
index 7abbaa3..d01012f 100644
--- a/pcbnew/pcbframe.cpp
+++ b/pcbnew/pcbframe.cpp
@@ -435,15 +435,15 @@ PCB_EDIT_FRAME::PCB_EDIT_FRAME( KIWAY* aKiway, wxWindow* aParent ) :
 
     if( m_drawToolBar )    // The main right vertical toolbar
         m_auimgr.AddPane( m_drawToolBar,
-                          wxAuiPaneInfo( vert ).Name( wxT( "m_VToolBar" ) ).Right().Layer( 2 ) );
+                          wxAuiPaneInfo( vert ).Name( wxT( "m_VToolBar" ) ).Left().Layer( 2 ) );
 
     // Add the layer manager ( most right side of pcbframe )
-    m_auimgr.AddPane( m_Layers, lyrs.Name( wxT( "m_LayersManagerToolBar" ) ).Right().Layer( 3 ) );
+    m_auimgr.AddPane( m_Layers, lyrs.Name( wxT( "m_LayersManagerToolBar" ) ).Left().Layer( 3 ) );
 
     if( m_optionsToolBar )    // The left vertical toolbar (fast acces display options of Pcbnew)
     {
         m_auimgr.AddPane( m_optionsToolBar,
-                          wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Left().Layer(1) );
+                          wxAuiPaneInfo( vert ).Name( wxT( "m_optionsToolBar" ) ).Right().Layer( 1 ) );
 
         m_auimgr.GetPane( wxT( "m_LayersManagerToolBar" ) ).Show( m_show_layer_manager_tools );
         m_auimgr.GetPane( wxT( "m_microWaveToolBar" ) ).Show( m_show_microwave_tools );
